%define major   5.2
%define libname %mklibname %{name} %{major}
%define	devname %mklibname %{name} -d

Name:           allegro
Version:        5.2.2
Release:        %mkrel 1
Summary:        A game programming library
Group:          System/Libraries
License:        zlib
URL:            http://liballeg.org
Source0:        http://download.gna.org/allegro/allegro/%{version}/%{name}-%{version}.tar.gz

BuildRequires:  cmake
# dumb currently links against allegro4
#BuildRequires:  dumb-devel
BuildRequires:  pkgconfig(alsa)
BuildRequires:  pkgconfig(flac)
BuildRequires:  pkgconfig(freetype2)
BuildRequires:  pkgconfig(gtk+-2.0)
BuildRequires:  pkgconfig(glu)
BuildRequires:  pkgconfig(libenet)
BuildRequires:  pkgconfig(libjpeg)
BuildRequires:  pkgconfig(libpng)
BuildRequires:  pkgconfig(libpulse)
BuildRequires:  pkgconfig(openal)
BuildRequires:  pkgconfig(opusfile)
BuildRequires:  pkgconfig(physfs)
BuildRequires:  pkgconfig(theora)
BuildRequires:  pkgconfig(vorbisfile)
BuildRequires:  pkgconfig(x11)
BuildRequires:  pkgconfig(xcursor)
BuildRequires:  pkgconfig(xext)
BuildRequires:  pkgconfig(xinerama)
BuildRequires:  pkgconfig(xrandr)
BuildRequires:  pkgconfig(xxf86vm)
BuildRequires:  pkgconfig(zlib)

%description
Allegro is a cross-platform library intended for use in computer games
and other types of multimedia programming. Allegro 5 is the latest major
revision of the library, designed to take advantage of modern hardware
(e.g. hardware acceleration using 3D cards) and operating systems.
Although it is not backwards compatible with earlier versions, it still
occupies the same niche and retains a familiar style.

#----------------------------------------------------------------------

%package -n %{libname}
Summary:        A game programming library
Group:          System/Libraries

%description -n %{libname}
Allegro is a cross-platform library intended for use in computer games
and other types of multimedia programming. Allegro 5 is the latest major
revision of the library, designed to take advantage of modern hardware
(e.g. hardware acceleration using 3D cards) and operating systems.
Although it is not backwards compatible with earlier versions, it still
occupies the same niche and retains a familiar style.

%files -n %{libname}
%config(noreplace) %{_sysconfdir}/%{name}5rc
%doc CHANGES-5.0.txt CONTRIBUTORS.txt LICENSE.txt README.txt
%{_libdir}/lib%{name}.so.%{major}{,.*}

#----------------------------------------------------------------------

%package -n %{devname}
Summary:        Game programming library
Group:          Development/C++
Requires:       %{libname} = %{version}-%{release}
Provides:       %{name}-devel = %{version}-%{release}
Provides:       %{name}5-devel = %{version}-%{release}

%description -n %{devname}
This package is needed to build programs using the Allegro 5 library.
Contains header files and man-page documentation for the main library
and its addons.

%files -n %{devname}
%doc docs/html/refman
%{_includedir}/%{name}5/
%{_libdir}/lib%{name}*.so
%{_libdir}/pkgconfig/%{name}*-5*.pc
%{_mandir}/man3/ALLEGRO_*.3*
%{_mandir}/man3/al_*.3*

#----------------------------------------------------------------------

%define addon_pkg() \
%package -n %{_lib}%{name}_%{1}%{major} \
Summary:        Addon '%{1}' for the Allegro 5 library \
Group:          System/Libraries \
\
%description -n %{_lib}%{name}_%{1}%{major} \
This package provides the %{1} codec addon for the Allegro 5 library. \
\
%files -n %{_lib}%{name}_%{1}%{major} \
%{_libdir}/lib%{name}_%{1}.so.%{major}{,.*}

%addon_pkg acodec
%addon_pkg audio
%addon_pkg color
%addon_pkg dialog
%addon_pkg font
%addon_pkg image
%addon_pkg main
%addon_pkg memfile
%addon_pkg physfs
%addon_pkg primitives
%addon_pkg ttf
%addon_pkg video

#----------------------------------------------------------------------

%prep
%autosetup -p1 -n %{name}-%{version}.0

%build
%cmake -DWANT_DOCS=OFF
%make_build

%install
%make_install -C build

# config file
install -d %{buildroot}%{_sysconfdir}
install -p -m 644 allegro5.cfg %{buildroot}%{_sysconfdir}/allegro5rc

# install man pages
install -d %{buildroot}%{_mandir}/man3
install -p -m 644 docs/man/*.3 %{buildroot}%{_mandir}/man3


%changelog
* Sun Mar 12 2017 akien <akien> 5.2.2-1.mga6
+ Revision: 1092226
- Version 5.2.2
- Package each addon lib separately, but keep all dev headers in main -devel package

* Fri Mar 25 2016 pterjan <pterjan> 4.4.2-8.mga6
+ Revision: 995538
- Fix release

* Fri Mar 25 2016 pterjan <pterjan> 4.4.2-7.mga6.mga6
+ Revision: 995520
- Small macros cleanup, that may be why it did not go through mass rebuild

* Thu Sep 10 2015 ovitters <ovitters> 4.4.2-6.mga6
+ Revision: 875660
+ rebuild (emptylog)

* Wed Nov 12 2014 akien <akien> 4.4.2-6.mga5
+ Revision: 796582
- Build alsa module

* Sat Sep 27 2014 tv <tv> 4.4.2-5.mga5
+ Revision: 725936
- rebuild for missing pythoneggs deps

* Mon Sep 15 2014 tv <tv> 4.4.2-4.mga5
+ Revision: 675553
- s/uggests:/Recommends:/

* Tue Dec 10 2013 zezinho <zezinho> 4.4.2-4.mga4
+ Revision: 556200
- fix build against mesa 10

  + dams <dams>
    - clean specfile

* Wed Jul 24 2013 zezinho <zezinho> 4.4.2-3.mga4
+ Revision: 457825
- patches synced with fedora to enable loabpng, logg, jpgalleg libs #10616

* Fri Jan 11 2013 umeabot <umeabot> 4.4.2-2.mga3
+ Revision: 345511
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Wed Aug 17 2011 fwang <fwang> 4.4.2-1.mga2
+ Revision: 134222
- new version 4.4.2

* Sat Feb 26 2011 alien <alien> 4.4.1.1-4.mga1
+ Revision: 61036
- Remove BuildRoot
- Remove old macros
- imported package allegro

